<?php
//-------------------------
	$StrNom=V($_POST['TxtNom']);
	$StrDir=V($_POST['TxtDir']);
	$StrDis=V($_POST['CboDis']);
	$StrFn=V($_POST['TxtFn']);
	$StrDni=V($_POST['TxtDni']);
	$StrTel=V($_POST['TxtTel']);	
	$StrCel=V($_POST['TxtCel']);	
	$StrFi=V($_POST['TxtFi']);	
	$StrEma=V($_POST['TxtEma']);	
	$StrCar=V($_POST['CboCar']);	
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}	
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("NOMBRE","vpersonal","ID=$Id");		
		$StrDir=gs("DIRECCION","vpersonal","ID=$Id");		
		$StrDis=gs("DISTRITO","vpersonal","ID=$Id");		
		$StrFn=gs("DATE_FORMAT(FEC_NAC,'%d-%m-%y')","vpersonal","ID=$Id");		
		$StrDni=gs("DNI","vpersonal","ID=$Id");		
		$StrTel=gs("TEL","vpersonal","ID=$Id");		
		$StrCel=gs("CEL","vpersonal","ID=$Id");		
		$StrFi=gs("DATE_FORMAT(FEC_ING,'%d-%m-%y')","vpersonal","ID=$Id");		
		$StrEma=gs("EMAIL","vpersonal","ID=$Id");		
		$StrCar=gs("CARGO","vpersonal","ID=$Id");
			
		$LStrFoc="document.getElementById('TxtNom').focus();";	
		if($StrFn=="01-01-00")$StrFn="";	
		if($StrFi=="01-01-00")$StrFi="";	
	}
	//
	if($StrCmd=="G" || $StrCmd=="M"){		
		$StrDis_=gn("id_distrito","distritos","dis_nombre='$StrDis'");
		$StrCar_=gn("id_cargo","cargos","car_nombre='$StrCar'");
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(GetC("vpersonal","NOMBRE='$StrNom'")>0){
			$LStrMsg="Nombre y apellidos ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}		
		if(strlen($StrGT)==0){
			if(strlen($StrDni)>0){
				if(GetC("vpersonal","DNI='$StrDni'")>0){
					$LStrMsg="Numero de dni ya registrado";
					$LStrFoc="document.getElementById('TxtDni').focus();";						
					$StrGT="S";					
				}
			}
		}
		if(strlen($StrGT)==0){
			$StrFn_=ToDate($StrFn);
			$StrFi_=ToDate($StrFi);
			$Id=GenId("id_personal","personal");
			$s="INSERT INTO personal VALUES ($Id,'$StrNom'
				,'$StrDir',$StrDis_,'$StrFn_','$StrDni','$StrTel'
				,'$StrCel','$StrFi_','$StrEma',$StrCar_)";
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
			$StrId="";
			$StrNom="";
			$StrDir="";
			$StrDis="";
			$StrFn="";
			$StrDni="";
			$StrTel="";
			$StrCel="";
			$StrFi="";
			$StrEma="";
			$StrCar="";
		}
	}
	if($StrCmd=="M"){
		if(GetC("vpersonal","NOMBRE='$StrNom' AND ID<>$StrId")>0){
			$LStrMsg="Nombre y apellidos ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			if(strlen($StrDni)>0){
				if(GetC("vclientes","DNI='$StrDni' AND ID<>$StrId")>0){
					$LStrMsg="Numero de dni ya registrado";
					$LStrFoc="document.getElementById('TxtDni').focus();";						
					$StrGT="S";					
				}
			}
		}	
		if(strlen($StrGT)==0){
			$s="UPDATE personal SET per_nombre='$StrNom'
				,per_direccion='$StrDir',per_id_distrito=$StrDis_,per_fecnac='$StrFn',
				per_dni='$StrDni',per_tel='$StrTel'
				,per_cel='$StrCel',per_fecing='$StrFi',per_email='$StrEma',
				per_id_cargo=$StrCar_  
				WHERE id_personal=$StrId";
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
			$StrId="";
			$StrNom="";
			$StrDir="";
			$StrDis="";
			$StrFn="";
			$StrDni="";
			$StrTel="";
			$StrCel="";
			$StrFi="";
			$StrEma="";
			$StrCar="";
		}
	}
	if($StrCmd=="E"){
		if(GetC("","","")==0){
			
		}
		if(strlen($StrGT)==0){
			$s="DELETE FROM personal WHERE id_personal=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
				$StrId="";
			$StrNom="";
			$StrDir="";
			$StrDis="";
			$StrFn="";
			$StrDni="";
			$StrTel="";
			$StrCel="";
			$StrFi="";
			$StrEma="";
			$StrCar="";
		}
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
?>